Bug 1119897 - Bottom and right edges chopped off when opening update description
Summary: Bottom and right edges chopped off when opening update description
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 19:08 UTC by Andrew Gunnerson
Modified: 2015-12-02 16:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:16:10 UTC


Attachments (Terms of Use)
Video demonstration (681.56 KB, video/webm)
2014-07-15 19:08 UTC, Andrew Gunnerson
no flags Details

Description Andrew Gunnerson 2014-07-15 19:08:45 UTC
Created attachment 918230 [details]
Video demonstration

Description of problem:

I just installed Fedora 21 (branched) about two days ago and found that whenever gnome-software shows the available updates, clicking on the package causes the bottom and right edges of the parent window to be chopped off. Even in the header bar, a small fraction of the exit button is visible.

Here are examples of what I'm seeing:

Screenshot: https://dl.dropboxusercontent.com/u/486665/gnome-software/Screenshot%20from%202014-07-15%2015%3A01%3A47.png

Video: https://dl.dropboxusercontent.com/u/486665/gnome-software/Screencast%20from%2007-15-2014%2002%3A47%3A37%20PM.webm


Version-Release number of selected component (if applicable):

gnome-software-3.13.3-1.fc21.x86_64
gnome-shell-3.13.3-1.fc21.x86_64


How reproducible:

Always reproducible. I've created a new user to test this in case my configuration is causing the issue, but unfortunately, it still happens.

Comment 1 Kalev Lember 2014-07-15 19:22:24 UTC
Thanks for the report. I suspect it's a gnome-shell (mutter) issue with drawing shadows for the backdrop state. Seems to happen for all gtk3 apps with modal windows.

Reassigning to mutter.

Comment 2 Fedora Admin XMLRPC Client 2015-02-12 11:04:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2015-11-04 13:39:43 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 03:16:14 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.